#include "Circle.h"
#include "Ellips.h"
#include "Rectangle.h"
#include "Triangle.h"
#include "Figure.h"
#include <iostream>
#include <vector>

using namespace std;

int main() {
    vector<Figure*> v;
    int areas = 0;
    Ellips e(10, 15, 10, 15);
    v.push_back(&e);
    Circle c(1,1,5);
    v.push_back(&c);
    Rectangle r(0, 0, 1, 0, 1, 1, 0, 1);
    v.push_back(&r);
    Triangle t(0, 0, 1, 1, 1, 0);
    v.push_back(&t);

    for(int i = 0; i < v.size(); i++) {
        v[i]->name();
        areas += v[i]->calc_area();
    }
    cout << areas << endl;
    return 0;
}